Debian Bug report logs - #547760
printfilters-ppd: bashism in /bin/sh script

version graph

Package: printfilters-ppd; Maintainer for printfilters-ppd is A Mennucc1 <mennucc1@debian.org>; Source for printfilters-ppd is src:printfilters-ppd.

Reported by: Raphael Geissert <atomo64@gmail.com>

Date: Tue, 22 Sep 2009 04:00:22 UTC

Severity: important

Tags: patch

Found in version printfilters-ppd/2.13-11

Fixed in version printfilters-ppd/2.13-11.1

Done: Chanchai Junlouchai <neverlock@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to A Mennucc1 <mennucc1@debian.org>:
Bug#547760; Package printfilters-ppd. (Tue, 22 Sep 2009 04:00:25 GMT) Full text and rfc822 format available.

Message #3 received at maintonly@bugs.debian.org (full text, mbox):

From: Raphael Geissert <atomo64@gmail.com>
To: maintonly@bugs.debian.org
Subject: printfilters-ppd: bashism in /bin/sh script
Date: Mon, 21 Sep 2009 22:52:31 -0500
Package: printfilters-ppd
Severity: important
Version: 2.13-11
User: debian-release@lists.debian.org
Usertags: goal-dash

Hello maintainer,

While performing an archive wide checkbashisms (from the 'devscripts' package)
check I've found your package containing a /bin/sh script making use
of a bashism.

checkbashisms' output:
> possible bashism in ./usr/lib/printfilters/ps-to-printer.fpi line 51
> (should be '.', not 'source'):
>     source ${SPOOLDIR}/postscript.cfg


Not using bash (or a Debian Policy conformant shell interpreter which doesn't
provide such an extra feature) as /bin/sh is likely to lead to errors or
unexpected behaviours. Please be aware that dash is now the default /bin/sh.

Hints about how to fix bashisms can be found at:
https://wiki.ubuntu.com/DashAsBinSh

If you still don't know how to fix the bashisms don't hesitate to reply to
this email, or tag the bug as 'help'.

Thank you,
Raphael Geissert




Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#547760; Package printfilters-ppd. (Sun, 14 Mar 2010 10:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to taz <neverlock@gmail.com>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Sun, 14 Mar 2010 10:06:04 GMT) Full text and rfc822 format available.

Message #8 received at 547760@bugs.debian.org (full text, mbox):

From: taz <neverlock@gmail.com>
To: Debian Bug Tracking System <547760@bugs.debian.org>
Subject: Re: bashism in /bin/sh script
Date: Sun, 14 Mar 2010 17:04:38 +0700
[Message part 1 (text/plain, inline)]
Package: printfilters-ppd
Severity: normal

Hello ,

I have been fix bashism follow checkbashisms output
as attach file

Thank you 
Chanchai Junlouchai

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[547760.diff (text/plain, attachment)]

Added tag(s) patch. Request was from Chanchai Junlouchai <neverlock@gmail.com> to control@bugs.debian.org. (Mon, 15 Mar 2010 02:54:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, A Mennucc1 <mennucc1@debian.org>:
Bug#547760; Package printfilters-ppd. (Tue, 16 Mar 2010 05:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chanchai Junlouchai <neverlock@gmail.com>:
Extra info received and forwarded to list. Copy sent to A Mennucc1 <mennucc1@debian.org>. (Tue, 16 Mar 2010 05:27:04 GMT) Full text and rfc822 format available.

Message #15 received at 547760@bugs.debian.org (full text, mbox):

From: Chanchai Junlouchai <neverlock@gmail.com>
To: Debian Bug Tracking System <547760@bugs.debian.org>
Subject: printfilters-ppd: Bug #547760,Propose to NMU
Date: Tue, 16 Mar 2010 12:22:31 +0700
[Message part 1 (text/plain, inline)]
Package: printfilters-ppd
Severity: normal

Hi,
This patch is fixing bashisms on #547760 

Regards,
Chanchai Junlouchai

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[547760.diff (text/x-diff, attachment)]

Reply sent to Chanchai Junlouchai <neverlock@gmail.com>:
You have taken responsibility. (Tue, 16 Mar 2010 06:06:07 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <atomo64@gmail.com>:
Bug acknowledged by developer. (Tue, 16 Mar 2010 06:06:07 GMT) Full text and rfc822 format available.

Message #20 received at 547760-close@bugs.debian.org (full text, mbox):

From: Chanchai Junlouchai <neverlock@gmail.com>
To: 547760-close@bugs.debian.org
Subject: Bug#547760: fixed in printfilters-ppd 2.13-11.1
Date: Tue, 16 Mar 2010 06:02:40 +0000
Source: printfilters-ppd
Source-Version: 2.13-11.1

We believe that the bug you reported is fixed in the latest version of
printfilters-ppd, which is due to be installed in the Debian FTP archive:

printfilters-ppd_2.13-11.1.diff.gz
  to main/p/printfilters-ppd/printfilters-ppd_2.13-11.1.diff.gz
printfilters-ppd_2.13-11.1.dsc
  to main/p/printfilters-ppd/printfilters-ppd_2.13-11.1.dsc
printfilters-ppd_2.13-11.1_i386.deb
  to main/p/printfilters-ppd/printfilters-ppd_2.13-11.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 547760@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chanchai Junlouchai <neverlock@gmail.com> (supplier of updated printfilters-ppd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 16 Mar 2010 12:04:35 +0700
Source: printfilters-ppd
Binary: printfilters-ppd
Architecture: source i386
Version: 2.13-11.1
Distribution: unstable
Urgency: low
Maintainer: A Mennucc1 <mennucc1@debian.org>
Changed-By: Chanchai Junlouchai <neverlock@gmail.com>
Description: 
 printfilters-ppd - filters from the GNUlpr printing system
Closes: 547760
Changes: 
 printfilters-ppd (2.13-11.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * ps-to-printer.fpi.in: fix bashism (Closes: #547760).
   * debian/control: add missing ${misc:Depends} [lintian].
Checksums-Sha1: 
 b5d2a23ba85b7ab8e5daa6ba3623d2e16c84a855 1063 printfilters-ppd_2.13-11.1.dsc
 d809d13d2b536a60b7d5adc2d823f371b7d7b8af 123708 printfilters-ppd_2.13-11.1.diff.gz
 56cf5659b0939e8a6360cd3f7beb18dcea8d8b06 44382 printfilters-ppd_2.13-11.1_i386.deb
Checksums-Sha256: 
 d2afe2549f16959343c4641e30dc480dc95e79be273388cf0e16afdc7e044d7b 1063 printfilters-ppd_2.13-11.1.dsc
 72643fdb57762ca5531839fe7fab4de9753409c36c925f6d67738efff049701f 123708 printfilters-ppd_2.13-11.1.diff.gz
 8f864471d5319c649cae6344960b0b7cf1978a4e97673aea8ebc693bbcf50bec 44382 printfilters-ppd_2.13-11.1_i386.deb
Files: 
 c0165f58b7bc957f781d52f90de7cccd 1063 text extra printfilters-ppd_2.13-11.1.dsc
 9ad902cdbfce4573e8376619b433ee3f 123708 text extra printfilters-ppd_2.13-11.1.diff.gz
 e15d08967ec0d510e7cf3990574c2de6 44382 text extra printfilters-ppd_2.13-11.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkufG5oACgkQqgzR7tCLR/55jACdEIDIvwtrzzWX2B4QMDRpH3KF
LN8AnRcE4+iv5aigWVfWAzBpe9s8kgeH
=bTEW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 06 May 2010 08:00:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:22:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.